<?php
/**
 * Template Name: Blog
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package kickstart business
 */

get_header(); ?>


	<div id="primary" class="content-area grid">
		<main id="main" class="site-main" role="main">
		<?php 
	
		// The Query
		$args = array(
			'post_type' => 'post',
			//'page_id' => $page_number,
			);
		$feature = new WP_Query( $args );

	// The Loop
		if ( $feature->have_posts() ) {
			
			while ( $feature->have_posts() ) {
					$feature->the_post(); ?>
	<div class="col-4-12 post-item">
	<?php if ( has_post_thumbnail() ) { ?>
		<div class='post-thumb'>
				<a href="<?php the_permalink();?>" >
				<?php the_post_thumbnail('kickstart-thumbnail'); ?>
				</a>
		</div>
		<?php } ?>
		<?php the_title('<h2 class="entry-title">', '</h2>'); ?>
		<?php  echo excerpt(20); ?>

		<a class="read_more" href="<?php esc_url(the_permalink()); ?>"> Read More</a>
				
 	</div>
 	  <?php } } else { ?>
	<p><?php echo esc_attr( 'Sorry, no posts matched your criteria.' ); ?></p>
	<?php }  
		
		/* Restore original Post Data */
		wp_reset_postdata();
		?>



		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
