<?php
/**
 * Template name: Full
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package kickstart business
 */

get_header();
//global $post
$page_id = get_queried_object_id();
if ( has_post_thumbnail( $post ) ) :
    $image_array = wp_get_attachment_image_src( get_post_thumbnail_id( $post ), 'kickstart-header' );
    $image = $image_array[0];
    else :
    $image = get_template_directory_uri() . '/img/default.jpg';

endif;
//echo $image;
?>

<div class="page-header">
<img src="<?php echo $image; ?>" >
	<div class="title-content">
	<div class="grid">
	<h1 class="page-title"><?php echo get_the_title($post->ID); ?></h1>
	</div>
	</div>
</div>
	<div id="primary" class="content-area grid">
		<main id="main" class="site-main col-12-12" role="main">

			<?php
			while ( have_posts() ) : the_post();
				
				
				

				
				if ( has_post_thumbnail() ) { ?>
		<div class='page-thumb'>
				<a href="<?php the_permalink();?>" >
				<?php the_post_thumbnail('large'); ?>
				</a>
		</div>
				<?php }

				get_template_part( 'template-parts/content', 'page' );
				

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
//get_sidebar();
get_footer();
